Subject: Re: [PATCH v2 7/9] git-sparse-checkout.txt: flesh out non-cone mode pattern discussion a bit

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Mar 2022 20:57:42 +0000

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

>  INTERNALS -- FULL PATTERN SET
>  -----------------------------
>  
> -By default, the sparse-checkout file uses the same syntax as `.gitignore`
> -files.
> -
> -While `$GIT_DIR/info/sparse-checkout` is usually used to specify what
> -files are included, you can also specify what files are _not_ included,
> -using negative patterns. For example, to remove the file `unwanted`:
> +As noted above, the sparse-checkout file uses the same syntax as
> +`.gitignore` files; see linkgit:gitignore[5] for details.  Here,

Here, following the suggestion to fix the early part of "Cone mode
patterns" section, move the "it is more flexible but requires more
cycles to process" you had there to replace the "As noted above".